%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}perl\\(Moo::_
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}perl\\(Moo::_
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Devel::GlobalDestruction|Import::Into|Module::Runtime|Role::Tiny)\\)$

Summary:       Minimalist Object Orientation (with Moose compatibility)
Name:          perl-Moo
Version:       2.005005
Release:       1%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Moo
Source0:       https://cpan.metacpan.org/authors/id/H/HA/HAARG/Moo-%{version}.tar.gz

BuildRequires: make perl-interpreter perl-generators perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker) perl(strict) perl(warnings) perl(B) perl(base) perl(Carp)
BuildRequires: perl(Config) perl(constant) perl(Devel::GlobalDestruction) perl(Exporter)
BuildRequires: perl(Import::Into) perl(Module::Runtime) perl(mro) perl(overload) perl(Role::Tiny)
BuildRequires: perl(Scalar::Util) perl(strictures) perl(Sub::Defer) perl(Sub::Quote) perl(Data::Dumper)
BuildRequires: perl(Class::XSAccessor) perl(Sub::Util) perl(B::Deparse) perl(Class::XSAccessor::Array)
BuildRequires: perl(FindBin) perl(lib) perl(Test::More) perl(threads) perl(CPAN::Meta::Requirements)
Requires:      perl(Carp) perl(Class::Method::Modifiers)
Requires:      perl(Devel::GlobalDestruction) perl(Import::Into) perl(Module::Runtime) perl(mro) perl(Role::Tiny)
BuildArch:     noarch

%description
This module is an extremely light-weight, high-performance Moose replacement. It also avoids
depending on any XS modules to allow simple deployments. The name Moo is based on the idea that it
provides almost -but not quite- two thirds of Moose.

%prep
%autosetup -n Moo-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
%make_build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 2.005005-1
- Upgrade to version 2.005005

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.005004-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.005004-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.005004-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.005004-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 2.005004-1
- initial build
